.form-control {
  width: 100%;
  display: flex;
  align-items: center;

  &--radio,
  &--checkbox {
    position: relative;

    &::before {
      content: "";
      width: 28px;
      height: 28px;
      background-color: $color-white;
      border: 1px solid #666;
      position: absolute;
      left: 0;
      top: 0;
      z-index: 1;
    }

    input[type="radio"],
    input[type="checkbox"] {
      width: 28px;
      height: 28px;
      margin-right: 10px;
      opacity: 0;
      position: relative;
      z-index: 3;

      &:checked + span::after {
        opacity: 1;
        transform: translateY(-50%) scale(1);
      }
    }

    span {
      &::after {
        z-index: 2;
        position: absolute;
        left: 5px;
        top: 50%;
        transform: translateY(-50%) scale(.5);
        opacity: 0;
        transition: opacity .3s, transform .3s;
      }
    }
  }

  &--checkbox {
    span {
      &::after {
        content: '\f00c';
        font-size: 18px;
        font-family: FontAwesome;
        color: $color-brand1;
      }
    }
  }

  &--radio {
    &::before {
      border-radius: 100%;
      top: 50%;
      transform: translateY(-50%);
    }

    span {
      &::after {
        content: '';
        left: 8px;
        width: 12px;
        height: 12px;
        border-radius: 100%;
        background-color: $color-brand1;
      }
    }
  }
}

input,
textarea {
  outline-style: none;
}

input[type="text"],
select {
  padding: 15px;
  margin: 10px 0;
}
.form-control--checkbox span::after {
  top: 14px;
}

